View a markdown version of this page

CreateDatasetExportJob - AWS IoT SiteWise

CreateDatasetExportJob

Starts an asynchronous job that exports dataset and time-series data from a workspace to Amazon S3. The operation returns a jobId immediately; poll DescribeDatasetExportJob to track progress and ListDatasetExportJobs to enumerate a workspace's jobs.

Request Syntax

POST /workspaces/workspaceName/dataset-export-jobs HTTP/1.1 Content-type: application/json { "clientToken": "string", "destinationS3Uri": "string", "errorReportLocation": { "s3Uri": "string" }, "input": { ... } }

URI Request Parameters

The request uses the following URI parameters.

workspaceName

The name of the workspace in which to create the dataset export job.

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: ^[a-zA-Z0-9_-]+$

Required: Yes

Request Body

The request accepts the following data in JSON format.

clientToken

A unique, case-sensitive identifier that you provide to ensure the idempotency of the request. The AWS SDKs and CLI populate this automatically.

Type: String

Length Constraints: Minimum length of 36. Maximum length of 64.

Pattern: \S{36,64}

Required: No

destinationS3Uri

The S3 URI where output clips will be written.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 1024.

Pattern: s3://[a-z0-9][a-z0-9.-]{1,61}[a-z0-9]/.+

Required: Yes

errorReportLocation

The location where the error report will be written on failure.

Type: ExportErrorReportLocation object

Required: Yes

input

The processing input source.

Type: ProcessingInput object

Note: This object is a Union. Only one member of this object can be specified or returned.

Required: Yes

Response Syntax

HTTP/1.1 202 Content-type: application/json { "jobId": "string", "workspaceName": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 202 response.

The following data is returned in JSON format by the service.

jobId

The unique identifier for the dataset export job.

Type: String

Length Constraints: Fixed length of 36.

Pattern: [0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}

workspaceName

The name of the workspace in which the dataset export job was created.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: ^[a-zA-Z0-9_-]+$

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access is denied.

HTTP Status Code: 403

ConflictingOperationException

Your request has conflicting operations. This can occur if you're trying to perform more than one operation on the same resource at the same time.

resourceArn

The ARN of the resource that conflicts with this operation.

resourceId

The ID of the resource that conflicts with this operation.

HTTP Status Code: 409

InternalFailureException

AWS IoT SiteWise can't process your request right now. Try again later.

HTTP Status Code: 500

InvalidRequestException

The request isn't valid. This can occur if your request contains malformed JSON or unsupported characters. Check your request and try again.

HTTP Status Code: 400

ResourceNotFoundException

The requested resource can't be found.

HTTP Status Code: 404

ThrottlingException

Your request exceeded a rate limit. For example, you might have exceeded the number of AWS IoT SiteWise assets that can be created per second, the allowed number of messages per second, and so on.

For more information, see Quotas in the AWS IoT SiteWise User Guide.

HTTP Status Code: 429

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: